Index: inc/public/default-templates/rss2.xsl
===================================================================
--- inc/public/default-templates/rss2.xsl	(revision 2566)
+++ inc/public/default-templates/rss2.xsl	(revision 2566)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+xmlns:content="http://purl.org/rss/1.0/modules/content/"
+xmlns="http://www.w3.org/1999/xhtml">
+
+<xsl:output method="html"/>
+
+<xsl:template match="/">
+<html>
+  <head>
+    <title>{{tpl:lang Subscribe to}} <xsl:value-of select="/rss/channel/title"/></title>
+    <style type="text/css">
+    <![CDATA[
+    body {
+      font: 80% Verdana,Arial,sans-serif;
+      margin: 20px 0;
+      padding: 0 0;
+      background: #fff;
+      color: #000;
+    }
+    a { color: #039; }
+    h1, h2 { font-family: Arial,sans-serif; }
+    h1 { font-size: 160%; margin: 0; }
+    h2 { font-size: 140%; font-weight: bold; margin: 0.5em 0 0.2em 0; }
+    h2 a { text-decoration: none; }
+    p { margin: 0 0 0.5em 0; }
+    #page {
+      margin: 0 80px;
+    }
+    #top {
+      background: #036;
+      padding : 1em;
+      color: #fff;
+    }
+    #top a {
+      color: #fff;
+      text-decoration: none;
+    }
+    #what {
+      padding: 1em;
+      background: #eee;
+      border-bottom: 1px solid #000;
+      font-size: 80%;
+    }
+    #what p {
+      margin: 0 0 0.5em 0;
+    }
+    #footer {
+      border-top: 1px solid #000;
+    }
+    #items {
+      background: #fff;
+      color: inherit;
+    }
+    #items div {
+      margin: 0 0 1em 0;
+    }
+    ]]>
+    </style>
+    <script type="text/javascript"><![CDATA[
+    window.onload = function() {
+      document.getElementById('feedurl').value = window.location.href;
+
+      // Ugly but works ;)
+      var c = document.getElementsByTagName('div');
+      var t = '';
+      for (var i=0; c.length-i != 0; i++) {
+        if (c[i].className == 'item-content') {
+          if (c[i].textContent) {
+            t = c[i].textContent;
+          } else if (c[i].innerText) {
+            t = c[i].innerText;
+          } else {
+            t = '';
+          }
+
+          if (t) { c[i].innerHTML = t; }
+        }
+      }
+    };
+    ]]></script>
+  </head>
+  <body>
+    <div id="page">
+      <div id="top">
+        <h1><a href="{/rss/channel/link}"><xsl:value-of select="/rss/channel/title"/></a></h1>
+        <p><xsl:value-of select="/rss/channel/description"/></p>
+      </div>
+      <div id="what">
+      <h3>{{tpl:lang What is an RSS feed?}}</h3>
+      <p>{{tpl:lang RSS feed is a free blog summary. It provides content
+      (either posts or comments) or  summaries of content, together with links
+      to the full versions, and other metadata. The last published items may
+      then be read by your favorite RSS
+      <a href="http://en.wikipedia.org/wiki/Aggregator">aggregator</a>.}}</p>
+      <h3>{{tpl:lang Subscribe}}</h3>
+      <p>{{tpl:lang Simply copy the following URL into your aggregator:}}</p>
+      <p><input type="text" size="60" value="" id="feedurl" /></p>
+      </div>
+      <div id="items">
+        <xsl:apply-templates select="//item"/>
+      </div>
+      <div id="footer">
+        <p><xsl:value-of select="/rss/channel/copyright"/></p>
+      </div>
+    </div>
+  </body>
+</html>
+</xsl:template>
+
+<!-- Item template -->
+<xsl:template match="item">
+  <div>
+    <h2><a href="{link}"><xsl:value-of select="title"/></a></h2>
+    <div class="item-content"><xsl:value-of select="description" /></div>
+  </div>
+</xsl:template>
+
+</xsl:stylesheet>
Index: inc/public/lib.tpl.context.php
===================================================================
--- inc/public/lib.tpl.context.php	(revision 2676)
+++ inc/public/lib.tpl.context.php	(revision 2566)
@@ -100,51 +100,44 @@
 
 
-        # Static methods
-        public static function global_filter($str,
-        $encode_xml, $remove_html, $cut_string, $lower_case, $upper_case ,$encode_url ,$tag='')
-        {
-                $args = func_get_args();
-                array_pop($args);
-                $args[0] =& $str;
-
-                # --BEHAVIOR-- publicBeforeContentFilter
-                $res = $GLOBALS['core']->callBehavior('publicBeforeContentFilter',$GLOBALS['core'],$tag,$args);
-
-                if ($remove_html) {
-                        $str = self::remove_html($str);
-                        $str = preg_replace('/\s+/',' ',$str);
-                }
-
-                if ($encode_xml) {
-                        $str = self::encode_xml($str);
-                }
-
-                if ($cut_string) {
-                        $str = self::cut_string($str,(integer) $cut_string);
-                }
-
-                if ($lower_case) {
-                        $str = self::lower_case($str);
-                } elseif ($upper_case) {
-                        if ($upper_case == 2) {
-                                $str = self::capitalize($str);
-                        } else {
-                                $str = self::upper_case($str);
-                        }
-                }
-                if ($encode_url) {
-                        $str = self::encode_url($str);
-                }
-
-                # --BEHAVIOR-- publicAfterContentFilter
-                $res = $GLOBALS['core']->callBehavior('publicAfterContentFilter',$GLOBALS['core'],$tag,$args);
-
-                return $str;
-        }
-
-        public static function encode_url($str)
-        {
-                return urlencode($str);
-        }
+	# Static methods
+	public static function global_filter($str,
+	$encode_xml, $remove_html, $cut_string, $lower_case, $upper_case ,$tag='')
+	{
+		$args = func_get_args();
+		array_pop($args);
+		$args[0] =& $str;
+
+		# --BEHAVIOR-- publicBeforeContentFilter
+		$res = $GLOBALS['core']->callBehavior('publicBeforeContentFilter',$GLOBALS['core'],$tag,$args);
+
+		if ($remove_html) {
+			$str = self::remove_html($str);
+			$str = preg_replace('/\s+/',' ',$str);
+		}
+
+		if ($encode_xml) {
+			$str = self::encode_xml($str);
+		}
+
+		if ($cut_string) {
+			$str = self::cut_string($str,(integer) $cut_string);
+		}
+
+		if ($lower_case) {
+			$str = self::lower_case($str);
+		} elseif ($upper_case) {
+			if ($upper_case == 2) {
+				$str = self::capitalize($str);
+			} else {
+				$str = self::upper_case($str);
+			}
+		}
+
+		# --BEHAVIOR-- publicAfterContentFilter
+		$res = $GLOBALS['core']->callBehavior('publicAfterContentFilter',$GLOBALS['core'],$tag,$args);
+
+		return $str;
+	}
+
 
 	public static function cut_string($str,$l)
@@ -213,5 +206,7 @@
 
 		$nb_posts = $_ctx->pagination->f(0);
-		$nb_pages = ceil(($nb_posts - $_ctx->nb_entry_first_page) / $_ctx->nb_entry_per_page + 1);
+		$nb_per_page = $_ctx->post_params['limit'][1];
+
+		$nb_pages = ceil($nb_posts/$nb_per_page);
 
 		return $nb_pages;
@@ -311,7 +306,4 @@
 		if (isset($GLOBALS['__theme'])) {
 			$path[] = $GLOBALS['__theme'];
-			if (isset($GLOBALS['__parent_theme'])) {
-				$path[] = $GLOBALS['__parent_theme'];
-			}
 		}
 		$path[] = 'default';
@@ -509,8 +501,4 @@
 			{
 				$res = '.'.$base.'_'.$size.'.jpg';
-			}
-			elseif ($size != 'o' && file_exists($root.'/'.$info['dirname'].'/.'.$base.'_'.$size.'.png'))
-			{
-				$res = '.'.$base.'_'.$size.'.png';
 			}
 			else
Index: inc/public/lib.urlhandlers.php
===================================================================
--- inc/public/lib.urlhandlers.php	(revision 2635)
+++ inc/public/lib.urlhandlers.php	(revision 2634)
@@ -86,7 +86,4 @@
 			$_ctx->nb_entry_per_page = $core->blog->settings->system->nb_post_per_page;
 		}
-		if ($_ctx->nb_entry_first_page === null) {
-			$_ctx->nb_entry_first_page = $_ctx->nb_entry_per_page;
-		}
 
 		$tpl_file = $core->tpl->getFilePath($tpl);
@@ -191,5 +188,4 @@
 		else
 		{
-			$_ctx =& $GLOBALS['_ctx'];
 			$core =& $GLOBALS['core'];
 
@@ -200,7 +196,4 @@
 
 			if (empty($_GET['q'])) {
-				if ($core->blog->settings->system->nb_post_for_home !== null) {
-					$_ctx->nb_entry_first_page = $core->blog->settings->system->nb_post_for_home;
-				}
 				self::serveDocument('home.html');
 				$core->blog->publishScheduledEntries();
@@ -423,16 +416,10 @@
 					if ($content != '')
 					{
-						# --BEHAVIOR-- publicBeforeCommentTransform
-						$buffer = $core->callBehavior('publicBeforeCommentTransform',$content);
-						if ($buffer != '') {
-							$content = $buffer;
+						if ($core->blog->settings->system->wiki_comments) {
+							$core->initWikiComment();
 						} else {
-							if ($core->blog->settings->system->wiki_comments) {
-								$core->initWikiComment();
-							} else {
-								$core->initWikiSimpleComment();
-							}
-							$content = $core->wikiTransform($content);
+							$core->initWikiSimpleComment();
 						}
+						$content = $core->wikiTransform($content);
 						$content = $core->HTMLfilter($content);
 					}
Index: inc/public/prepend.php
===================================================================
--- inc/public/prepend.php	(revision 2567)
+++ inc/public/prepend.php	(revision 2566)
@@ -134,15 +134,10 @@
 	$__theme_tpl_path[] = $core->blog->themes_path.'/'.$__parent_theme.'/tpl';
 }
-$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-if (!empty($tplset) && is_dir(dirname(__FILE__).'/default-templates/'.$tplset)) {
-	$core->tpl->setPath(
-		$__theme_tpl_path,
-		dirname(__FILE__).'/default-templates/'.$tplset,
-		$core->tpl->getPath());
-} else {
-	$core->tpl->setPath(
-		$__theme_tpl_path,
-		$core->tpl->getPath());
-}
+
+$core->tpl->setPath(
+	$__theme_tpl_path,
+	dirname(__FILE__).'/default-templates',
+	$core->tpl->getPath());
+
 $core->url->mode = $core->blog->settings->system->url_scan;
 
Index: plugins/antispam/filters/class.dc.filter.linkslookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 2567)
+++ plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 2566)
@@ -48,8 +48,4 @@
 
 			$i = count($domain_elem) - 1;
-			if ($i == 0) {
-				// "domain" is 1 word long, don't check it
-				return null;
-			}
 			$host = $domain_elem[$i];
 			do
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2567)
+++ plugins/antispam/index.php	(revision 2566)
@@ -117,5 +117,4 @@
 	echo
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 		dcPage::jsLoad('index.php?pf=antispam/antispam.js');
   }
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 2646)
+++ plugins/attachments/_public.php	(revision 2566)
@@ -211,15 +211,26 @@
 	public static function EntryAttachmentCount($attr)
 	{
-		global $core;
-		return $core->tpl->displayCounter(
-			'$_ctx->posts->countMedia()',
-			array(
-				'none' => 'no attachment',
-				'one'  => 'one attachment',
-				'more' => '%d attachments'
-			),
-			$attr,
-			false
-		);
+		$none = 'no attachment';
+		$one = 'one attachment';
+		$more = '%d attachments';
+
+		if (isset($attr['none'])) {
+			$none = addslashes($attr['none']);
+		}
+		if (isset($attr['one'])) {
+			$one = addslashes($attr['one']);
+		}
+		if (isset($attr['more'])) {
+			$more = addslashes($attr['more']);
+		}
+
+		return
+		"<?php if (\$_ctx->posts->countMedia() == 0) {\n".
+		"  printf(__('".$none."'),(integer) \$_ctx->posts->countMedia());\n".
+		"} elseif (\$_ctx->posts->countMedia() == 1) {\n".
+		"  printf(__('".$one."'),(integer) \$_ctx->posts->countMedia());\n".
+		"} else {\n".
+		"  printf(__('".$more."'),(integer) \$_ctx->posts->countMedia());\n".
+		"} ?>";
 	}
 }
Index: plugins/blogroll/_define.php
===================================================================
--- plugins/blogroll/_define.php	(revision 2662)
+++ plugins/blogroll/_define.php	(revision 2566)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage your blogroll",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.4',
+	/* Version */			'1.3.1',
 	array(
 		'permissions' =>	'blogroll',
Index: plugins/blogroll/_public.php
===================================================================
--- plugins/blogroll/_public.php	(revision 2667)
+++ plugins/blogroll/_public.php	(revision 2566)
@@ -145,5 +145,5 @@
 		}
 
-		$links = self::getList($w->renderSubtitle('',false),'<ul>%s</ul>','<li%2$s>%1$s</li>',$w->category);
+		$links = self::getList('<h3>%s</h3>','<ul>%s</ul>','<li%2$s>%1$s</li>',$w->category);
 
 		if (empty($links)) {
@@ -151,7 +151,9 @@
 		}
 
-		return $w->renderDiv($w->content_only,'links '.$w->class,'',
-			($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
-			$links);
+		return
+		($w->content_only ? '' : '<div class="links'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
+		$links.
+		($w->content_only ? '' : '</div>');
 	}
 }
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 2567)
+++ plugins/blogroll/index.php	(revision 2566)
@@ -177,5 +177,4 @@
 	echo
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 		dcPage::jsLoad('index.php?pf=blogroll/blogroll.js');
 	}
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 2657)
+++ plugins/blowupConfig/index.php	(revision 2566)
@@ -108,7 +108,7 @@
 	{
 		$blowup_user['body_txt_f'] = $_POST['body_txt_f'];
-		$blowup_user['body_txt_s'] = dcThemeConfig::adjustFontSize($_POST['body_txt_s']);
-		$blowup_user['body_txt_c'] = dcThemeConfig::adjustColor($_POST['body_txt_c']);
-		$blowup_user['body_line_height'] = dcThemeConfig::adjustFontSize($_POST['body_line_height']);
+		$blowup_user['body_txt_s'] = blowupConfig::adjustFontSize($_POST['body_txt_s']);
+		$blowup_user['body_txt_c'] = blowupConfig::adjustColor($_POST['body_txt_c']);
+		$blowup_user['body_line_height'] = blowupConfig::adjustFontSize($_POST['body_line_height']);
 
 		$blowup_user['blog_title_hide'] = (integer) !empty($_POST['blog_title_hide']);
@@ -122,49 +122,49 @@
 		{
 			$blowup_user['blog_title_f'] = $_POST['blog_title_f'];
-			$blowup_user['blog_title_s'] = dcThemeConfig::adjustFontSize($_POST['blog_title_s']);
-			$blowup_user['blog_title_c'] = dcThemeConfig::adjustColor($_POST['blog_title_c']);
+			$blowup_user['blog_title_s'] = blowupConfig::adjustFontSize($_POST['blog_title_s']);
+			$blowup_user['blog_title_c'] = blowupConfig::adjustColor($_POST['blog_title_c']);
 			$blowup_user['blog_title_a'] = preg_match('/^(left|center|right)$/',$_POST['blog_title_a']) ? $_POST['blog_title_a'] : null;
-			$blowup_user['blog_title_p'] = dcThemeConfig::adjustPosition($_POST['blog_title_p']);
+			$blowup_user['blog_title_p'] = blowupConfig::adjustPosition($_POST['blog_title_p']);
 		}
 
-		$blowup_user['body_link_c'] = dcThemeConfig::adjustColor($_POST['body_link_c']);
-		$blowup_user['body_link_f_c'] = dcThemeConfig::adjustColor($_POST['body_link_f_c']);
-		$blowup_user['body_link_v_c'] = dcThemeConfig::adjustColor($_POST['body_link_v_c']);
+		$blowup_user['body_link_c'] = blowupConfig::adjustColor($_POST['body_link_c']);
+		$blowup_user['body_link_f_c'] = blowupConfig::adjustColor($_POST['body_link_f_c']);
+		$blowup_user['body_link_v_c'] = blowupConfig::adjustColor($_POST['body_link_v_c']);
 
 		$blowup_user['sidebar_text_f'] = $_POST['sidebar_text_f'];
-		$blowup_user['sidebar_text_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_text_s']);
-		$blowup_user['sidebar_text_c'] = dcThemeConfig::adjustColor($_POST['sidebar_text_c']);
+		$blowup_user['sidebar_text_s'] = blowupConfig::adjustFontSize($_POST['sidebar_text_s']);
+		$blowup_user['sidebar_text_c'] = blowupConfig::adjustColor($_POST['sidebar_text_c']);
 		$blowup_user['sidebar_title_f'] = $_POST['sidebar_title_f'];
-		$blowup_user['sidebar_title_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_title_s']);
-		$blowup_user['sidebar_title_c'] = dcThemeConfig::adjustColor($_POST['sidebar_title_c']);
+		$blowup_user['sidebar_title_s'] = blowupConfig::adjustFontSize($_POST['sidebar_title_s']);
+		$blowup_user['sidebar_title_c'] = blowupConfig::adjustColor($_POST['sidebar_title_c']);
 		$blowup_user['sidebar_title2_f'] = $_POST['sidebar_title2_f'];
-		$blowup_user['sidebar_title2_s'] = dcThemeConfig::adjustFontSize($_POST['sidebar_title2_s']);
-		$blowup_user['sidebar_title2_c'] = dcThemeConfig::adjustColor($_POST['sidebar_title2_c']);
-		$blowup_user['sidebar_line_c'] = dcThemeConfig::adjustColor($_POST['sidebar_line_c']);
-		$blowup_user['sidebar_link_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_c']);
-		$blowup_user['sidebar_link_f_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_f_c']);
-		$blowup_user['sidebar_link_v_c'] = dcThemeConfig::adjustColor($_POST['sidebar_link_v_c']);
+		$blowup_user['sidebar_title2_s'] = blowupConfig::adjustFontSize($_POST['sidebar_title2_s']);
+		$blowup_user['sidebar_title2_c'] = blowupConfig::adjustColor($_POST['sidebar_title2_c']);
+		$blowup_user['sidebar_line_c'] = blowupConfig::adjustColor($_POST['sidebar_line_c']);
+		$blowup_user['sidebar_link_c'] = blowupConfig::adjustColor($_POST['sidebar_link_c']);
+		$blowup_user['sidebar_link_f_c'] = blowupConfig::adjustColor($_POST['sidebar_link_f_c']);
+		$blowup_user['sidebar_link_v_c'] = blowupConfig::adjustColor($_POST['sidebar_link_v_c']);
 
 		$blowup_user['sidebar_position'] = ($_POST['sidebar_position'] == 'left') ? 'left' : null;
 
 		$blowup_user['date_title_f'] = $_POST['date_title_f'];
-		$blowup_user['date_title_s'] = dcThemeConfig::adjustFontSize($_POST['date_title_s']);
-		$blowup_user['date_title_c'] = dcThemeConfig::adjustColor($_POST['date_title_c']);
+		$blowup_user['date_title_s'] = blowupConfig::adjustFontSize($_POST['date_title_s']);
+		$blowup_user['date_title_c'] = blowupConfig::adjustColor($_POST['date_title_c']);
 
 		$blowup_user['post_title_f'] = $_POST['post_title_f'];
-		$blowup_user['post_title_s'] = dcThemeConfig::adjustFontSize($_POST['post_title_s']);
-		$blowup_user['post_title_c'] = dcThemeConfig::adjustColor($_POST['post_title_c']);
-		$blowup_user['post_comment_c'] = dcThemeConfig::adjustColor($_POST['post_comment_c']);
-		$blowup_user['post_commentmy_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_c']);
+		$blowup_user['post_title_s'] = blowupConfig::adjustFontSize($_POST['post_title_s']);
+		$blowup_user['post_title_c'] = blowupConfig::adjustColor($_POST['post_title_c']);
+		$blowup_user['post_comment_c'] = blowupConfig::adjustColor($_POST['post_comment_c']);
+		$blowup_user['post_commentmy_c'] = blowupConfig::adjustColor($_POST['post_commentmy_c']);
 
 
 		$blowup_user['footer_f'] = $_POST['footer_f'];
-		$blowup_user['footer_s'] = dcThemeConfig::adjustFontSize($_POST['footer_s']);
-		$blowup_user['footer_c'] = dcThemeConfig::adjustColor($_POST['footer_c']);
-		$blowup_user['footer_l_c'] = dcThemeConfig::adjustColor($_POST['footer_l_c']);
-		$blowup_user['footer_bg_c'] = dcThemeConfig::adjustColor($_POST['footer_bg_c']);
-
-
-		$blowup_user['extra_css'] = dcThemeConfig::cleanCSS($_POST['extra_css']);
+		$blowup_user['footer_s'] = blowupConfig::adjustFontSize($_POST['footer_s']);
+		$blowup_user['footer_c'] = blowupConfig::adjustColor($_POST['footer_c']);
+		$blowup_user['footer_l_c'] = blowupConfig::adjustColor($_POST['footer_l_c']);
+		$blowup_user['footer_bg_c'] = blowupConfig::adjustColor($_POST['footer_bg_c']);
+
+
+		$blowup_user['extra_css'] = blowupConfig::cleanCSS($_POST['extra_css']);
 
 		if ($can_write_images)
@@ -183,9 +183,9 @@
 			$blowup_user['top_image'] = in_array($_POST['top_image'],$top_images) ? $_POST['top_image'] : 'default';
 
-			$blowup_user['body_bg_c'] = dcThemeConfig::adjustColor($_POST['body_bg_c']);
+			$blowup_user['body_bg_c'] = blowupConfig::adjustColor($_POST['body_bg_c']);
 			$blowup_user['body_bg_g'] = in_array($_POST['body_bg_g'],$gradient_types) ? $_POST['body_bg_g'] : '';
-			$blowup_user['post_comment_bg_c'] = dcThemeConfig::adjustColor($_POST['post_comment_bg_c']);
-			$blowup_user['post_commentmy_bg_c'] = dcThemeConfig::adjustColor($_POST['post_commentmy_bg_c']);
-			$blowup_user['prelude_c'] = dcThemeConfig::adjustColor($_POST['prelude_c']);
+			$blowup_user['post_comment_bg_c'] = blowupConfig::adjustColor($_POST['post_comment_bg_c']);
+			$blowup_user['post_commentmy_bg_c'] = blowupConfig::adjustColor($_POST['post_commentmy_bg_c']);
+			$blowup_user['prelude_c'] = blowupConfig::adjustColor($_POST['prelude_c']);
 			blowupConfig::createImages($blowup_user,$uploaded);
 		}
